package com.yundong.third.service;

import com.yundong.base.context.Context;
import com.yundong.third.facade.dto.TenantDTO;
import com.yundong.third.facade.request.AddTenantRequest;
import com.yundong.third.facade.request.DeleteTenantRequest;
import com.yundong.third.facade.request.QueryTenantRequest;
import com.yundong.third.facade.request.UpdateTenantRequest;


/**
 * SysTenantService
 *
 * @author mengmeng
 * @date 2023/5/31
 * @time 15:39
 */
public interface SysTenantService {

    TenantDTO queryTenant(Context context, QueryTenantRequest request);

    void addTenant(Context context,AddTenantRequest request);

    void updateTenant(Context context, UpdateTenantRequest request);

    void deleteTenant(Context context, DeleteTenantRequest request);

}
