package com.yundong.third.constants;

public class UserCenterConstant {

    /**
     * 相关
     */
    public static final String URL = "url";
    public static final String TENANT_ID = "tenantId";
    public static final String IDENTITY_ID = "identityId";
    public static final String COLUMN_GMT_CREATE = "gmt_create";
    public static final String COLUMN_GMT_MODIFIED = "gmt_modified";

    /**
     * 日志最大长度，长的切掉……
     */
    public static final int LOG_MAX_CONTENT_SIZE = 4096;

    public static final int LOG_SML_CONTENT_SIZE = 2048;

    /**
     * 数据api的默认参数名
     */
    public final static String REQUEST_PARAM_KEY = "params";
    public final static String SORT_ITEMS_KEY = "sortItems";
    public final static String DATA_KEY = "data";
    public final static String PAGE_NO_KEY = "pageNo";
    public final static String PAGE_NO_UNDERLINE_KEY = "page_no";
    public final static String PAGE_SIZE_KEY = "pageSize";
    public final static String PAGE_SIZE_UNDERLINE_KEY = "page_size";
    public final static String COUNT_KEY = "_count";
    public final static String DATA_COUNT_KEY = "count";
    public final static String SEARCH_VALUE_PRE = "_sys_prefix:%s";
    public final static String KEYWORD = "keyword";
    public final static String KEY = "key";
    public final static String _KEY = "_key";
    public final static String _SUM = "_sum";



}
