package com.yundong.third.constants;

/**
 * 常量
 *
 * @author xiaokang
 * @date 2023/11/5 16:19
 */
public class CommonConstant {

    public final static String APP_ID = "appId";

    public final static String REQUEST_PARAM_KEY = "params";
    public final static String DATA_KEY = "data";
    public final static String COUNT_KEY = "_count";
    public final static String DATA_COUNT_KEY = "count";
    public final static String PAGE_NO_KEY = "pageNo";
    public final static String PAGE_SIZE_KEY = "pageSize";
    public final static String TOTAL = "total";
    public final static String DELIMITER_SLASH = "/";
    public final static int PAGE_SIZE = 10;

    /**
     * 试卷类型常量
     */
    public final static String FIXED_PAPER = "固定试卷";
    public final static String RANDOM_PAPER = "随机试卷";

    /**
     * 试题显示状态
     */
    public final static String SHOW = "显示";
    public final static String NOT_SHOW = "不显示";

    /**
     * 启用状态
     */
    public final static String ENABLE = "启用";
    public final static String DISABLE = "禁用";

    /**
     * 判断题状态
     */
    public final static String RIGHT = "对";
    public final static String WRONG = "错";

    /**
     * 试题状态
     */
    public final static String EFFECTIVE = "有效";
    public final static String INVALID = "无效";

    /**
     * 题目类型常量
     */
    public final static String SG = "单选题";
    public final static String MG = "多选题";
    public final static String TF = "判断题";
    public final static String FB = "填空题";
    public final static String SA = "简答题";

    /**
    * 阅卷状态   待系统阅卷，系统阅卷完成待人工阅卷，阅卷完成
    */
    public final static String WAIT_SCORE = "待系统阅卷";
    public final static String WAIT_PEOPLE_SCORE = "系统阅卷完成待人工阅卷";
    public final static String SCORE_FINISH = "阅卷完成";

    /**
    * 导出相关
    */
    public static final String ERROR_REASON = "error_reason";
    public static final String ERROR_REASON_CHINESE = "失败原因";

}
